Threads, Assistants
Get a run
Retrieves a run by its identifier.
Parâmetros de caminho
thread_id
string
exigido
The ID of the thread that was run.
run_id
string
exigido
The ID of the run to retrieve.
Respostas
The request has succeeded.
Corpo
id
string
exigido
The identifier, which can be referenced in API endpoints.
object
enum
exigido
The object type, which is always thread.run.
created_at
integer
exigido
The Unix timestamp (in seconds) for when the run was created.
thread_id
string
exigido
The ID of the thread that was executed on as a part of this run.
assistant_id
string
exigido
The ID of the assistant used for execution of this run.
status
enum
exigido
The status of the run, which can be either queued, in_progress, requires_action, cancelling, cancelled, failed, completed, incomplete, or expired.
required_action
OpenAI.RunObjectRequiredAction | null
exigido
Details on the action required to continue the run. Will be null if no action is required.
type
enum
exigido
submit_tool_outputs
OpenAI.RunObjectRequiredActionSubmitToolOutputs
exigido
last_error
OpenAI.RunObjectLastError | null
exigido
The last error associated with this run. Will be null if there are no errors.
code
enum
exigido
expires_at
integer | null
exigido
The Unix timestamp (in seconds) for when the run will expire.
started_at
integer | null
exigido
The Unix timestamp (in seconds) for when the run was started.
cancelled_at
integer | null
exigido
The Unix timestamp (in seconds) for when the run was cancelled.
failed_at
integer | null
exigido
The Unix timestamp (in seconds) for when the run failed.
completed_at
integer | null
exigido
The Unix timestamp (in seconds) for when the run was completed.
incomplete_details
OpenAI.RunObjectIncompleteDetails | null
exigido
Details on why the run is incomplete. Will be null if the run is not incomplete.
reason
enum
model
string
exigido
The model that the assistant used for this run.
instructions
string
exigido
The instructions that the assistant used for this run.
tools
OpenAI.AssistantTool[]
exigido
The list of tools that the assistant used for this run.
metadata
OpenAI.Metadata | null
exigido
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
usage
OpenAI.RunCompletionUsage | null
exigido
Usage statistics related to the run. This value will be null if the run is not in a terminal state (i.e. in_progress, queued, etc.).
temperature
number | null
The sampling temperature used for this run. If not set, defaults to 1.
top_p
number | null
The nucleus sampling value used for this run. If not set, defaults to 1.
max_prompt_tokens
integer | null
exigido
The maximum number of prompt tokens specified to have been used over the course of the run.
max_completion_tokens
integer | null
exigido
The maximum number of completion tokens specified to have been used over the course of the run.
truncation_strategy
OpenAI.TruncationObject | null
exigido
Controls for how a thread will be truncated prior to the run. Use this to control the initial context window of the run.
type
enum
exigido
The truncation strategy to use for the thread. The default is auto. If set to last_messages, the thread will be truncated to the n most recent messages in the thread. When set to auto, messages in the middle of the thread will be dropped to fit the context length of the model, max_prompt_tokens.
tool_choice
enum | OpenAI.AssistantsNamedToolChoice | null
exigido
Controls which (if any) tool is called by the model. none means the model will not call any tools and instead generates a message. auto is the default value and means the model can pick between generating a message or calling one or more tools. required means the model must call one or more tools before responding to the user. Specifying a particular tool like {"type": "file_search"} or {"type": "function", "function": {"name": "my_function"}} forces the model to call that tool.
enum
type
enum
exigido
The type of the tool. If type is function, the function name must be set
function
OpenAI.AssistantsNamedToolChoiceFunction
parallel_tool_calls
boolean
exigido
Whether to enable parallel function calling during tool use.
response_format
enum | OpenAI.ResponseFormatText | OpenAI.ResponseFormatJsonObject | OpenAI.ResponseFormatJsonSchema | null
exigido
Specifies the format that the model must output. Compatible with GPT-4o, GPT-4 Turbo, and all GPT-3.5 Turbo models since gpt-3.5-turbo-1106. Setting to { "type": "json_schema", "json_schema": {...} } enables Structured Outputs which ensures the model will match your supplied JSON schema. Learn more in the Structured Outputs guide. Setting to { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON. Important:* when using JSON mode, you must also instruct the model to produce JSON yourself via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in a long-running and seemingly "stuck" request. Also note that the message content may be partially cut off if finish_reason="length", which indicates the generation exceeded max_tokens or the conversation exceeded the max context length.
enum
type
enum
exigido
The type of response format being defined. Always text.
type
enum
exigido
The type of response format being defined. Always json_object.
type
enum
exigido
The type of response format being defined. Always json_schema.
json_schema
OpenAI.ResponseFormatJsonSchemaJsonSchema
exigido
schema
OpenAI.ResponseFormatJsonSchemaSchema
The schema for the response format, described as a JSON Schema object. Learn how to build JSON schemas here.
Solicitar
curl https://api.openai.com/v1/threads/thread_abc123/runs/run_abc123 \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "OpenAI-Beta: assistants=v2"
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
run = client.beta.threads.runs.retrieve(
run_id="run_id",
thread_id="thread_id",
)
print(run.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const run = await openai.beta.threads.runs.retrieve(
"run_abc123",
{ thread_id: "thread_abc123" }
);
console.log(run);
}
main();
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const run = await client.beta.threads.runs.retrieve('run_id', { thread_id: 'thread_id' });
console.log(run.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
run, err := client.Beta.Threads.Runs.Get(
context.TODO(),
"thread_id",
"run_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", run.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.threads.runs.Run;
import com.openai.models.beta.threads.runs.RunRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
RunRetrieveParams params = RunRetrieveParams.builder()
.threadId("thread_id")
.runId("run_id")
.build();
Run run = client.beta().threads().runs().retrieve(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
run = openai.beta.threads.runs.retrieve("run_id", thread_id: "thread_id")
puts(run)
Resposta
{
"id": "run_abc123",
"object": "thread.run",
"created_at": 1699075072,
"assistant_id": "asst_abc123",
"thread_id": "thread_abc123",
"status": "completed",
"started_at": 1699075072,
"expires_at": null,
"cancelled_at": null,
"failed_at": null,
"completed_at": 1699075073,
"last_error": null,
"model": "gpt-4o",
"instructions": null,
"incomplete_details": null,
"tools": [
{
"type": "code_interpreter"
}
],
"metadata": {},
"usage": {
"prompt_tokens": 123,
"completion_tokens": 456,
"total_tokens": 579
},
"temperature": 1.0,
"top_p": 1.0,
"max_prompt_tokens": 1000,
"max_completion_tokens": 1000,
"truncation_strategy": {
"type": "auto",
"last_messages": null
},
"response_format": "auto",
"tool_choice": "auto",
"parallel_tool_calls": true
}